help needed Linux install

General discussions
Post Reply
W1ABA
Posts: 10
Joined: Mon Jul 16, 2018 8:19 pm

help needed Linux install

Post by W1ABA » Thu Jul 26, 2018 1:56 am

Today my new RSP1A came in the mail. I hoped to have it running in a few hours, but some 10 hours later, it sits silently waiting for the right computer commands to make it go!

I am using Linux Xubuntu, 16.04. I’d like to use GQRX software, but elected to go with the flow and use CubicSDR, which is documented and sanctioned by SDRplay at https://www.sdrplay.com/docs/SDRplay_no ... s_Flow.pdf.

The driver install was non-eventful.

However, the very first step (in section 3 of the documentation) suggests I install it in home/Dev. There isn’t any ‘Dev’ folder in the home directory, so I installed it in the system folder called ‘dev’. According to the notes in the doc file, the actual installation folder isn’t critical anyway.

I have never built any software from its source, but the supoport document gave all the directions, so I tried.

The sdrplay document has formatting problems which prevent proper copy and pasting of the commands needed. I thought I fixed the errors in the document, but clearly I missed something. In the very last step (section 6.3 of the support document) I get an error.

Code: Select all

cmake ../ 
-
DCMAKE_BUILD_TYPE=Release
\
-
DwxWidgets_CONFIG_EXECUTABLE=~/Dev/wxWidgets
-
staticlib/bin/wx
-
config

Yes, the above single line is a paste directly from the support document.

Below section 6.3, there is a note stating that the ‘\’ symbol is a continuation of the same line. I tried to paste that message into this post, but it fails, presumably due to more formatting errors in the document. The only way I can copy it into this message is to take a screenshot of the message, see attached.
Screenshot_2018-07-25_21-52-00.png
Screenshot_2018-07-25_21-52-00.png (28.06 KiB) Viewed 1657 times
I believed the line in question should have been:

Code: Select all

cmake ../ -DCMAKE_BUILD_TYPE=Release-DwxWidgets_CONFIG_EXECUTABLE=~/Dev/wxWidgets -staticlib/bin/wx -config
Note that the above is a single line, not 3 different lines as it appears to be when formatted by the forums text format software.

I have no idea what I should enter into the terminal to finish up the build.

Hopefully someone can suggest a remedy-I’m in above my head as I don’t have experience building software from it’s source code.

TY

ABA
Last edited by W1ABA on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

DK7OB
Posts: 79
Joined: Thu Mar 24, 2016 7:14 am

Re: help needed Linux install

Post by DK7OB » Thu Jul 26, 2018 6:58 am

Try this:

Code: Select all

cmake ../ -DCMAKE_BUILD_TYPE=Release -DwxWidgets_CONFIG_EXECUTABLE=~/Dev/wxWidgets-staticlib/bin/wx-config
Blank before -DwxWidgets_...
No blanks before -staticlib and -config

Reason: No reason

bobmounger
Posts: 2
Joined: Sat Aug 04, 2018 3:25 pm

Re: help needed Linux install

Post by bobmounger » Sat Aug 04, 2018 3:30 pm

I just went through this. The trick was to follow the non-windows workflow, Use the SDRPlay version of CubicSDR that is linked in the workflow.

AND


wget https://www.sdrplay.com/software/SDRpla ... 2.11.1.run
chmod 755 ./SDRplay_RSP_API-Linux-2.11.1.run
./SDRplay_RSP_API-Linux-2.11.1.run


roll back to the older version of the API
Last edited by bobmounger on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

Post Reply